## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname paginate

Name:           python-%{srcname}
Version:        0.5.7
Release:        %autorelease
Summary:        Divides large result sets into pages for easier browsing

License:        MIT
URL:            https://github.com/Signum/paginate
# PyPI tarball does not include tests
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This module helps dividing large lists of items into pages. The user is shown
one page at a time and can navigate to other pages.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.txt TODO

%changelog
## START: Generated by rpmautospec
* Sun Jun 08 2025 Michel Lind <salimma@fedoraproject.org> - 0.5.7-1
- Update to 0.5.7 upstream release
- Resolves: rhbz#2371010
- This includes tox.ini; Resolves: rhbz#2354116

* Sun Jun 08 2025 Michel Lind <salimma@fedoraproject.org> - 0.5.6-4
- Enable Packit

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.5.6-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Aug 15 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.5.6-1
- Initial import; Fixes: RHBZ#2304227
## END: Generated by rpmautospec
